Bug 1284696 - config set with negative value results in "error setting 'filestore_merge_threshold' to '-40': (22) Invalid argument"
Summary: config set with negative value results in "error setting 'filestore_merge_thr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 1.3.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 1.3.3
Assignee: Brad Hubbard
QA Contact: Vasishta
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1348597 1372735
TreeView+ depends on / blocked
 
Reported: 2015-11-23 23:08 UTC by Brad Hubbard
Modified: 2019-11-14 07:09 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
."filestore_merge_threshold" can be set to a negative value as expected If the `filestore_merge_threshold` parameter is set to a negative value, merging of subdirectories is disabled. Previously, an attempt to set `filestore_merge_threshold` to a negative value by using the command line failed and an error message similar to the following one was returned: ---- "error": "error setting 'filestore_merge_threshold' to '-40': (22) Invalid argument" ---- As a consequence, it was not possible to disable merging of subdirectories. This bug has been fixed, and `filestore_merge_threshold` can now be set to a negative value as expected.
Clone Of:
Environment:
Last Closed: 2016-09-29 12:55:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 13829 None None None Never
Red Hat Knowledge Base (Solution) 2055153 None None None Never
Red Hat Product Errata RHSA-2016:1972 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3.3 security, bug fix, and enhancement update 2016-09-29 16:51:21 UTC

Description Brad Hubbard 2015-11-23 23:08:29 UTC
Description of problem:

In the filestore-config-ref we say...

    filestore merge threshold
    Description: Min number of files in a subdir before merging into parent NOTE: A > negative value means to disable subdir merging

But running the following gives an error.

# ceph --admin-daemon /var/run/ceph/ceph-osd.312.asok config set filestore_merge_threshold -40
{
    "error": "error setting 'filestore_merge_threshold' to '-40': (22) Invalid argument" 
}

Version-Release number of selected component (if applicable):
ceph-0.94.3-3.el7cp.x86_64

How reproducible:
100%

Steps to Reproduce:
1. ceph --admin-daemon /var/run/ceph/ceph-osd.312.asok config set filestore_merge_threshold -40


Actual results:
"error": "error setting 'filestore_merge_threshold' to '-40': (22) Invalid argument"

Expected results:
"success": "filestore_merge_threshold = '-40' "

Additional info:
This is being worked in http://tracker.ceph.com/issues/13829

Comment 2 Brad Hubbard 2016-02-08 22:02:02 UTC
Merged and back-ported to Hammer upstream.

Comment 3 Mike McCune 2016-03-28 22:20:08 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 4 Vikhyat Umrao 2016-07-13 10:55:40 UTC
Brad, buddy could you please post hammer backport link.

Comment 5 Brad Hubbard 2016-07-13 23:35:56 UTC
Not sure how this got overlooked but I guess I didn't fully understand the process involved at that time.

I've created http://tracker.ceph.com/issues/16680 and am working on a backport now.

Comment 6 Brad Hubbard 2016-07-14 03:11:00 UTC
PR is here, https://github.com/ceph/ceph/pull/10291

Comment 7 Vikhyat Umrao 2016-07-14 05:29:11 UTC
Thanks Brad.

Comment 18 Vasishta 2016-09-14 17:34:29 UTC
Fix is working as required -
$ sudo ceph --admin-daemon /var/run/ceph/ceph-osd.3.asok config set filestore_merge_threshold -40
{
    "success": "filestore_merge_threshold = '-40' "
}
$
$ sudo ceph --admin-daemon /var/run/ceph/ceph-osd.5.asok config set filestore_merge_threshold -25
{
    "success": "filestore_merge_threshold = '-25' "
}

Regards,
Vasishta

Comment 20 Brad Hubbard 2016-09-21 01:25:33 UTC
Changed filestore_merge_treshold to filestore_merge_threshold in several places but apart from that looks good to me.

Comment 21 Brad Hubbard 2016-09-21 01:27:29 UTC
Flags: requires_doc_text+ → requires_doc_text?

Not sure why this happened?

Comment 25 errata-xmlrpc 2016-09-29 12:55:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html


Note You need to log in before you can comment on or make changes to this bug.